Subject: bug#16647: Imprecisions with window-resizing cursors

From: martin rudalics <[email-masked]>
Date: Wed, 05 Feb 2014 11:48:39 +0100

> On current trunk version, from emacs -Q
 >
 > 1)
 >
 > (progn
 >   (scroll-bar-mode -1)
 >   (split-window-right)
 >   )
 >
 > Slowly move the mouse from left to right across the vertical line splitting the windows. Once the mouse goes past the black line, it's still shown as <=>, although clicking-and-dragging on that area won't have any effect.

I can't reproduce that neither with GTK+ 3.4.2 nor on Windows XP.  The
cursor changes shape to <=> within one frame column distance on the left
of the vertical border (the "grabbable_width" in coordinates_in_window
IIUC) till right after that border.  When the cursor shows as <=> I can
also drag the border.  Clicking on the border doesn't have any effect.

 > 2)
 >
 > C-x 2
 >
 > Move the cursor from top to bottom, across the mode-line. Once the cursor enters the mode-line, it won't change to a "resize" cursor, although it's already possible to drag.

Emacs doesn't show a vertical resize cursor on the mode- or header-line
(for historical reasons, I presume).  You can now use bottom dividers to
show such a cursor.

 > 3)
 >
 > C-x 1
 > (set-window-margins nil (car (window-margins)) 10)
 > C-x 3
 >
 > Move the cursor from right to left, across the divider. Once the mouse enters the right margin, it will still be displayed as <=>, although it's not possible to resize by clicking there.

This is a arguably a bug.  I checked in a fix.  Please try again.

Thanks, martin